import { ReactNode } from 'react';
export declare enum Layout {
    MULTI = "multi",
    MULTI_ALTERNATE = "multi_alternate",
    HIGHLIGHTED = "highlighted",
    SINGLE = "single"
}
declare type GridConfig = {
    layout?: Layout;
    participantVideo?: {
        fit?: 'contain';
        controlButton?: {
            icon: HTMLElement | ReactNode;
            onClick: () => void;
        };
    };
};
export default class DyteGrid {
    layouts: typeof Layout;
    private participantVideoConfiguration;
    constructor();
    update(gridConfig: GridConfig): void;
    setOverlay(element: ReactNode | string, timeout?: number): void;
}
export {};
